#ifndef LBXIMG_H_
#define LBXIMG_H_

#include <stdio.h>

typedef struct lbx_image LBX_IMG;

struct lbx_colour {
	unsigned char red;
	unsigned char green;
	unsigned char blue;
};

struct lbx_imginfo {
	unsigned int width, height;
	unsigned int nframes;
};

LBX_IMG *lbximg_fopen(FILE *f);
void     lbximg_close(LBX_IMG *img);
unsigned char **lbximg_getframe(LBX_IMG *img, int frame);

int lbximg_loadpalette(FILE *f, struct lbx_colour palette[static 256]);
int lbximg_getpalette(LBX_IMG *img, struct lbx_colour palette[static 256]);

void lbximg_getinfo(LBX_IMG *img, struct lbx_imginfo *info);

#endif
